Subject: Re: [PATCH] merge/pull: --compact-summary

From: Junio C Hamano <[email-masked]>
Date: Tue, 10 Jun 2025 20:12:32 -0700

"D. Ben Knoble" <[email-masked]> writes:

> Does this suggest that we either want a "diff options" option (or
> config), which would be more general?

If I have bk/new-topic branch, here is how I would merge it.

    $ git merge --compact-summary bk/new-topic

but there is an existing merge.stat that (1) is a mere boolean and
(2) is true by default to force use of "--stat" option.  We could
extend it to "bool or the string 'compact-summary'" and when it is

 - not set, do the "--stat" as before;
 - set to true, do the "--stat" as before;
 - set to 'compact-summary', do the "--compact-summary".

With such a configuration variable, "git merge bk/new-topic" would
be how I would run my merge.